hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Kalnichevski (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HTTPCLIENT-1508) Default user agent should reflect the Java version used and not compiled
Date Fri, 16 May 2014 11:22:46 GMT

     [ https://issues.apache.org/jira/browse/HTTPCLIENT-1508?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Oleg Kalnichevski resolved HTTPCLIENT-1508.
-------------------------------------------

    Resolution: Fixed

My bad. I have completely forgotten that this method has been added by another committer.
I still think core is the wrong place for it, though. Anyway, I applied a fix to SVN trunk
of HttpClient and HttpAsyncClient.

Please review / re-test.

Oleg

> Default user agent should reflect the Java version used and not compiled
> ------------------------------------------------------------------------
>
>                 Key: HTTPCLIENT-1508
>                 URL: https://issues.apache.org/jira/browse/HTTPCLIENT-1508
>             Project: HttpComponents HttpClient
>          Issue Type: Improvement
>          Components: HttpClient
>    Affects Versions: 4.3.3
>            Reporter: Michael Osipov
>             Fix For: 4.4 Alpha1
>
>
> Currently, the dafault user agent looks like this:
> {noformat}
> DEFAULT_USER_AGENT = "Apache-HttpClient/" + release + " (java 1.5)"
> {noformat}
> This indicates that Java 1.5 is used but this is the compile target of HTTP Client.
> A better user agent would be:
> {noformat}
> DEFAULT_USER_AGENT = "Apache-HttpClient/" + release + " (Java " + javaVersion ")"
> {noformat}
> where {{javaVersion}} is the version where the client is currently running.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message